package com.neusoft.smart.pos.framework.constants;

/**
 * @author zcf
 * @date 2017-08-13 10：43
 * @description 公共错误码
 */
public enum CommonErrorCode implements CommonCode {

    SUCCESS("200", "success"),
    SYS_ERROR("101", "SYSTEM_ERROR"),
    PARAMETER_ERROR("102", "PARAMETER_ERROR"),
    DATA_BASE_ERROR("103", "DATA_BASE_ERROR"),
    PERMISSION_ERROR("104", "请求非法,集团或门店信息不匹配"),
    SIGN_VALIDATE_ERROR("105", "签名验证失败"),
    UPLOAD_FILE_FAILED("106", "上传文件失败"),
    UPLOAD_FILE_EMPTY("107", "上传文件为空"),
    NOTIFIED_FILE_EMPTY("108", "文件不存在");

    private String code;
    private String message;

    private CommonErrorCode(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

}
